package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 班次时间段 表
 *
 * @author codeGenerator
 * @since  2023-12-28
 */
@Data
public class WorkingTimeExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "班次名 ,A/B/C...")
    private String orderName;
    @Excel(name = "班次开始时间, 0点 - 24点")
    private LocalDateTime beginTime;
    @Excel(name = "班次结束时间, 0点 - 24点")
    private LocalDateTime endTime;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "班次代码")
    private String code;

}