package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.ScenesDTO;
import com.cnbm.generator.code.mapper.ScenesMapper;
import com.cnbm.generator.code.entity.Scenes;
import com.cnbm.generator.code.service.ScenesServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 场景 表
 *
 * @author codeGenerator
 * @since 2023-12-28
 */
@Service
public class ScenesServiceBizImpl extends CrudServiceImpl<ScenesMapper, Scenes, ScenesDTO> implements ScenesServiceBiz {

    @Override
    public QueryWrapper<Scenes> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<Scenes> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}