package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.WorkingTimeDTO;
import com.cnbm.generator.code.mapper.WorkingTimeMapper;
import com.cnbm.generator.code.entity.WorkingTime;
import com.cnbm.generator.code.service.WorkingTimeServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 班次时间段 表
 *
 * @author codeGenerator
 * @since 2023-12-28
 */
@Service
public class WorkingTimeServiceBizImpl extends CrudServiceImpl<WorkingTimeMapper, WorkingTime, WorkingTimeDTO> implements WorkingTimeServiceBiz {

    @Override
    public QueryWrapper<WorkingTime> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<WorkingTime> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}