package com.cnbm.packing.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 产品等级 表
 *
 * @author codeGenerator
 * @since  2023-12-28
 */
@Data
public class ProductLevelExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "产品名")
    private String productName;
    @Excel(name = "产品等级，A1/A2/A3/A4/NK")
    private String productLevel;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "产品等级代码")
    private String code;

}