package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.PrintModelDTO;
import com.cnbm.packing.entity.PrintModel;

import java.util.List;
import java.util.Map;

/**
 * 打印标签模板表
 *
 * @author codeGenerator
 * @since  2023-02-15
 */
public interface PrintModelServiceBiz extends CrudService<PrintModel, PrintModelDTO> {


    PageData<PrintModelDTO> page (Map<String, Object> params);

    PrintModelDTO get(Long id);

    void save(PrintModelDTO dto);

    void update(PrintModelDTO dto);

    void delete(Long[] ids);

    List<PrintModelDTO> list();

    String getCode();

    PrintModelDTO getByLineBody(Integer lineBody);
}