package com.cnbm.generator.code.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 班次时间段 表
 *
 * @author codeGenerator
 * @since  2023-12-28
 */
@Data
@ApiModel(value = "班次时间段 表DTO对象")
public class WorkingTimeDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "班次名 ,A/B/C...")
	private String orderName;

	@ApiModelProperty(value = "班次开始时间, 0点 - 24点")
	private LocalDateTime beginTime;

	@ApiModelProperty(value = "班次结束时间, 0点 - 24点")
	private LocalDateTime endTime;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

	@ApiModelProperty(value = "班次代码")
	private String code;

}