package com.cnbm.packing.mapper;

import com.cnbm.packing.dto.CamlineExtendArgDTO;
import com.cnbm.packing.dto.CamlineSubIdDTO;
import com.cnbm.packing.dto.CamlineSubIdForImportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 机台表
 *
 * @author codeGenerator
 * @since 2023-02-15
 */
@Mapper
public interface CamlineMapper {

    float getByid(@Param("subId") String subId);


    //从camline 系统获取实际pmpp
    float getPMPPBySubId(@Param("subId") String subId);

    String getOrderNameBySubId(@Param("subId") String subId);

    CamlineExtendArgDTO getExtendArgFromCamline(@Param("subId") String subId);

    Integer getTodayBoxNum();
    Integer getTodayErrBoxNum();

    CamlineSubIdDTO getSubIdByCamline(@Param("subId") String subId);

    List<CamlineSubIdForImportDTO> getSubIdByCamlineForImpoet(@Param("subIds") String[] subIds);
}