package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.ProductLevelDTO;
import com.cnbm.packing.entity.ProductLevel;

import java.util.List;
import java.util.Map;

/**
 * 产品等级 表
 *
 * @author codeGenerator
 * @since  2023-12-21
 */
public interface ProductLevelServiceBiz extends CrudService<ProductLevel, ProductLevelDTO> {

    PageData<ProductLevelDTO> page (Map<String, Object> params);

    ProductLevelDTO get(Long id);

    void save(ProductLevelDTO dto);

    void update(ProductLevelDTO dto);

    void delete(Long[] ids);

    List<ProductLevelDTO> list();
    
}